package body MSHTML.DispStaticNodeList_Object is

   function Get_length
     (This : DispStaticNodeList_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispStaticNodeList_Get_length);
   end Get_length;

   function Getu_newEnum
     (This : DispStaticNodeList_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispStaticNodeList_Getu_newEnum);
   end Getu_newEnum;

   function item
     (This  : DispStaticNodeList_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispStaticNodeList_item,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => index),
         Free);
   end item;

   function Get_constructor
     (This : DispStaticNodeList_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispStaticNodeList_Get_constructor);
   end Get_constructor;

end MSHTML.DispStaticNodeList_Object;

